Subject: Make Fluid the default templating engine in FLOW3
Description

Fluid should be the default templating engine in FLOW3. Therefore we need to

- use the Fluid template view as the standard view in the controllers:

    /**
     * Use Fluid as the default template engine
     * @var string
     */
    protected $defaultViewObjectName = 'F3\Fluid\View\TemplateView';

    /**

- add Fluid to the dependencies of the FLOW3 package

Related issues:
related to TYPO3.Flow - Bug # 1349: Remove MVC\View\Template (was: Method MVC... Resolved 2008-08-26
blocked by TYPO3.Fluid - Feature # 3385: Add method to check for template ava... Resolved 2009-05-19

Associated revisions
Revision 7e326dc3 - 2009-05-19 17:34 - Karsten Dambekalns
Fluid:
    -  Fluid\TemplateView and it's interface now have a hasTemplate() method, resolves #3385
FLOW3:
    -  Fluid is now the default templating engine, resolves #3382

History
#1 - 2009-05-19 15:48 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2009-05-19 16:43 - Karsten Dambekalns
Fluid is already in the svn:externals of the FLOW3 distribution. It will be added to the dependencies in the Package.xml file as well. Default view
handling will be like this:
    1. Check if Fluid would have a template, and use it if available
    2. Check for a custom view object and use it if found
    3. Check for a default view object and use it if found
    4. Use the EmptyView
For this Fluid\TemplateView needs a new method to check for a possible template, see #3385

#3 - 2009-05-19 18:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2259.
